Edit a list
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| listId | The list identifier of the existing list | integer (int32) | Required |
Request Body
ListEdit
| Property | Description | Type |
|---|---|---|
| listDescription | The list description Must be between 0 and 255 characters Required (defined) | string |
| listInfo | The list name Required Must be between 0 and 50 characters | string |
Example Request Body
{ "listDescription": "string", "listInfo": "string"
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
ListCreateResponse
| Property | Description | Type | ||||||||||||
|---|---|---|---|---|---|---|---|---|---|---|---|---|---|---|
| listDescription | The list description. | string | ||||||||||||
| listId | The list identifier. | integer (int32) | ||||||||||||
| listInfo | The list name. | string | ||||||||||||
| listType | ListTypeChild | |||||||||||||
|
ListTypeChild properties
|
||||||||||||||
| sharedList | Is this a list shared with anyone? | boolean | ||||||||||||
| user | UserChild | |||||||||||||
|
UserChild properties
|
||||||||||||||
| visible | Is this list visible to me? | boolean | ||||||||||||
Example Response
{ "listDescription": "string", "listId": 1, "listInfo": "string", "listType": { "listTypeDescription": "string", "listTypeId": 1, "listTypeInfo": "string"
}, "sharedList": false, "user": { "fullName": "string", "userCode": "string", "userId": 1
}, "visible": false
}